﻿IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'TOSCTL' AND COLUMN_NAME = 'IUSE' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_TOSCTL_IUSE')
BEGIN 
    PRINT 'Creating default constraint DF_TOSCTL_IUSE on table TOSCTL' 
    ALTER TABLE [dbo].[TOSCTL]
    ADD CONSTRAINT [DF_TOSCTL_IUSE] DEFAULT ((0)) FOR [IUSE]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'TOSCTL' AND COLUMN_NAME = 'UpdateZReads' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_TOSCTL_UpdateZReads')
BEGIN 
    PRINT 'Creating default constraint DF_TOSCTL_UpdateZReads on table TOSCTL' 
    ALTER TABLE [dbo].[TOSCTL]
    ADD CONSTRAINT [DF_TOSCTL_UpdateZReads] DEFAULT ((0)) FOR [UpdateZReads]
END 
GO

